@import "../../../../../node_modules/bulma/sass/utilities/_all";
@import "../../../../scss/variables.scss";

//not working in a calc()
$sticky-distance: $header-bar-height + 32px;

.result-page {
  padding: 2rem;
}
.main-content {
  display: flex;
  flex-direction: column;

  @media screen and(min-width:$desktop) {
    flex-direction: row;
  }
}


.page-header-container {
  background-color: white;
  padding: 0 1.25rem 0 1.25rem;
  margin:2rem;
  margin-bottom: 0rem;
  border-radius: 8px;
  box-shadow: 0px 6px 12px rgb(129 128 128 / 10%);
}

@media (max-width: $tablet) {
  .header-dataset {
    flex-direction: column-reverse;
    display: flex;

    img {
      height: 6rem;
    }
  }
}

.logo-dataset {
  text-align: center;

  img {
    border-radius: 1px;
    border: 1px solid lightgray;
    vertical-align: middle;
  }
}

.filter-button-touch {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: $grey-background-color;
  //border-bottom: 1px solid $grey-super-light-color;
  cursor: pointer;

  .filter-title {
    display: flex;
    align-items: center;
  }

  .filter-img {
    line-height: 1px;

    img {
      height: 13px;
      margin-right: 10px;
    }
  }

  .arrows {
    svg {
      width: 16px;
      fill: $grey-dark-color;
      transform: rotate(-90deg);
    }
  }

  .arrows.is-displayed svg {
    transform: rotate(0deg);
  }
}

.icon {
  vertical-align: middle;
  justify-content: left;
}

.filter-column {
  top: 10px;
  background: white;
  box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
  border-radius: 8px;
  padding: 0.7rem;
  margin-bottom: 1rem;

  @media screen and (min-width: $desktop) {
    height: calc(100vh - #{$header-bar-height} - #{$footer-height});
    overflow-y: auto;
    position: sticky;
    top: $sticky-distance;
    margin-right: 1rem;
    margin-bottom: 0;
  }
}

.results-column {
  background-color: white;
  // Padding more small for mobile
  padding: 0.5rem;
  padding-top: 0;
  box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
  border-radius: 8px;
  box-sizing: border-box;
  flex-shrink: 1;

  @media screen and (min-width: $tablet) {
    padding: 2rem;
  }

  .tab-results {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border-bottom: 2px solid $grey-background-color;
    // Make the border have all the screen
    margin-left: -0.5rem;
    margin-right: -0.5rem;
    padding-left: 1.25rem;
    padding-right: 1.25rem;

    @media screen and (min-width: $tablet) {
      margin-left: -2rem;
      margin-right: -2rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      margin-top: 0;
    }
  }

  .no-result {
    margin-top: 2rem;
    display: flex;
    align-items: center;

    .no-result-message {
      font-size: 1rem;
      font-weight: 600;
      margin-bottom: 1rem;
    }

    .no-result-suggestion {
      font-size: 0.875rem;
      font-weight: 400;
      line-height: 1.5;
    }

    img.no-result-image {
      max-height: 6.25rem;
      margin-right: 4rem;
    }

    ul {
      list-style: none;
      padding: 0;
      margin: 0;
    }

    li {
      padding-left: 1em;
      text-indent: -0.7em;
    }

    li::before {
      font-family: "Open sans", sans-serif;
      content: "• ";
      color: $tomato-color;
      font-size: 1rem;
    }
  }

  .header-results {
    display: flex;
    justify-content: center;

    .column {
      display: flex;
      justify-content: center;
    }

    .column:first-child {
      padding-left: 0;
    }

    @media screen and (min-width: $desktop) {
      justify-content: space-between;

      .column {
        display: block;
        // To allow the parent justify-content working
        flex-basis: unset;
        flex-grow: unset;
      }

      .sort-dropdown.column {
        display: flex;
        justify-content: flex-end;
      }
    }
  }
}

.pagination {
  order: 1;

  @media screen and (min-width: $tablet) {
    order: unset;
  }
}

.category {
  margin-right: 0.3125rem;
}

span.item-found {
  display: block;
  width: 100%;
  padding-bottom: 0.3125rem;
  overflow-wrap: break-word;
}

@media screen and (min-width: $tablet) {
  .datasets {
    margin-top: 1.5rem;
  }
}

.result-dataset {
  margin-bottom: 0.75rem;
  margin-top: 0.5rem;
}

hr {
  margin-left: -2rem;
  margin-right: -2rem;
  background: $grey-background-color;
}

.pagination-bottom {
  display: flex;
  justify-content: center;
}

.suggestion {
  cursor: pointer;
  color: $link-color;
}

.blury {
  filter: blur(2px);
  pointer-events: none;
  opacity: 0.5;
}
